System requirements BCF Managers

System requirements BCF Managers

Our BCF Managers run inside your BIM application and therefore have the same system requirements as the BIM tool your are installing the BCF Manager for.


    • Related Articles

    • System requirements BIMcollab

      BIMcollab Nexus The BIMcollab web application runs on any modern web browser which supports TLS 1.2 or a later version. The following clients are known to be unable to use TLS 1.2. You cannot use these clients for access to the service. Android 4.3 ...
    • Quick Start Guides BCF Managers

      Track and share issues in your own modeling or checking software with our extensive range of BCF Managers. To help you get started in no time, you can consult our Quick Start Guides. They describe the installation, activation and connection to a ...
    • End-of-life of older versions BCF Managers

      Below you find a list of older versions of BCF managers and their end-of-life dates. These versions no longer comply to our security demands. Versions 5.6 and newer are based on newer technology and offer better performance and higher security. We ...
    • Connect to BIMcollab Nexus from BCF managers or BIMcollab Zoom

      Open the BCF Manager or BIMcollab Zoom and click on the Connection icon In the field 'BIMcollab', fill in the following information: join.bimcollab.com to connect to your free BIMcollab project the URL of your private space (e.g. ...
    • Downtime BIMcollab BCF Managers version 5.3 and older

      On Friday 11th of August, we planned some maintenance that might affect the availability of BIMcollab BCF Managers for version 5.3 and older. The scheduled maintenance will take approximately 1 hour. If you are hindered by this, we recommend to ...